Bug 1238374 - Review Request: mingw-cfitsio - MinGW Windows CFITSIO library
Summary: Review Request: mingw-cfitsio - MinGW Windows CFITSIO library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Juan Orti Alcaine
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1238378
TreeView+ depends on / blocked
 
Reported: 2015-07-01 18:28 UTC by Sandro Mani
Modified: 2017-09-05 07:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-05 07:46:21 UTC
j.orti.alcaine: fedora-review+


Attachments (Terms of Use)

Description Sandro Mani 2015-07-01 18:28:40 UTC
Spec URL: https://smani.fedorapeople.org/review/mingw-cfitsio.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-cfitsio-3.370-1.fc23.src.rpm
Description: MinGW Windows CFITSIO library
Fedora Account System Username: smani

Comment 1 Upstream Release Monitoring 2015-12-03 20:42:26 UTC
pbrobinson's scratch build of mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038486

Comment 2 Upstream Release Monitoring 2015-12-03 20:43:39 UTC
pbrobinson's scratch build of mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038485

Comment 3 Upstream Release Monitoring 2015-12-03 20:44:30 UTC
pbrobinson's scratch build of mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038484

Comment 5 Juan Orti Alcaine 2017-08-31 17:35:19 UTC
These files have GPLv3+ license:
cfitsio/eval_tab.h
cfitsio/eval_y.c

The rest looks fine.

Comment 6 Sandro Mani 2017-08-31 18:48:50 UTC
Hmm, that's actually a tricky one: these files contain

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  
   [...] */

I'll ask legal if this means that this implies these files are relicensed to MIT.

Comment 7 Juan Orti Alcaine 2017-08-31 20:53:52 UTC
I've asked in the legal mailing list about how we must consider these files.

Comment 9 Sandro Mani 2017-09-01 14:19:42 UTC
Statement from legal:

"
> cfitsio is licensed MIT. Is my understanding correct that this special
> exception means that these files are also MIT licensed, being
> distributed as part of cfitsio, and hence that the license field of the
> package only needs to specify MIT?

Yes. You may use the bison parser skeleton code under any license terms
you wish, assuming cfitsio is not a parser generator (which it does not
appear to be)."

Comment 10 Juan Orti Alcaine 2017-09-03 19:53:28 UTC
Approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-cfitsio-3.410-1.fc26.noarch.rpm
          mingw32-cfitsio-tools-3.410-1.fc26.noarch.rpm
          mingw64-cfitsio-3.410-1.fc26.noarch.rpm
          mingw64-cfitsio-tools-3.410-1.fc26.noarch.rpm
          mingw-cfitsio-3.410-1.fc26.src.rpm
mingw32-cfitsio.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libcfitsio.dll.a
mingw32-cfitsio.noarch: W: no-documentation
mingw32-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cfitsio/cfortran.h
mingw32-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cfitsio/drvrgsiftp.h
mingw32-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cfitsio/drvrsmem.h
mingw32-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cfitsio/eval_defs.h
mingw32-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cfitsio/eval_tab.h
mingw32-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cfitsio/f77_wrap.h
mingw32-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cfitsio/fitsio.h
mingw32-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cfitsio/fitsio2.h
mingw32-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cfitsio/fpack.h
mingw32-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cfitsio/group.h
mingw32-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cfitsio/grparser.h
mingw32-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cfitsio/longnam.h
mingw32-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cfitsio/region.h
mingw32-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cfitsio/simplerng.h
mingw32-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libcfitsio.dll.a
mingw32-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/cfitsio.pc
mingw32-cfitsio.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw32-cfitsio-tools.noarch: W: no-documentation
mingw32-cfitsio-tools.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw64-cfitsio.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libcfitsio.dll.a
mingw64-cfitsio.noarch: W: no-documentation
mingw64-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cfitsio/cfortran.h
mingw64-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cfitsio/drvrgsiftp.h
mingw64-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cfitsio/drvrsmem.h
mingw64-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cfitsio/eval_defs.h
mingw64-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cfitsio/eval_tab.h
mingw64-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cfitsio/f77_wrap.h
mingw64-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cfitsio/fitsio.h
mingw64-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cfitsio/fitsio2.h
mingw64-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cfitsio/fpack.h
mingw64-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cfitsio/group.h
mingw64-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cfitsio/grparser.h
mingw64-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cfitsio/longnam.h
mingw64-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cfitsio/region.h
mingw64-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cfitsio/simplerng.h
mingw64-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libcfitsio.dll.a
mingw64-cfitsio.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/cfitsio.pc
mingw64-cfitsio.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw64-cfitsio-tools.noarch: W: no-documentation
mingw64-cfitsio-tools.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
5 packages and 0 specfiles checked; 2 errors, 40 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
mingw32-cfitsio-tools.noarch: W: no-documentation
mingw64-cfitsio.noarch: W: no-documentation
mingw64-cfitsio-tools.noarch: W: no-documentation
mingw32-cfitsio.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
mingw32-cfitsio-tools (rpmlib, GLIBC filtered):
    mingw32(kernel32.dll)
    mingw32(libcfitsio-3.dll)
    mingw32(msvcrt.dll)
    mingw32-crt
    mingw32-filesystem

mingw64-cfitsio (rpmlib, GLIBC filtered):
    mingw64(kernel32.dll)
    mingw64(libwinpthread-1.dll)
    mingw64(msvcrt.dll)
    mingw64(zlib1.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config

mingw64-cfitsio-tools (rpmlib, GLIBC filtered):
    mingw64(kernel32.dll)
    mingw64(libcfitsio-3.dll)
    mingw64(msvcrt.dll)
    mingw64-crt
    mingw64-filesystem

mingw32-cfitsio (rpmlib, GLIBC filtered):
    mingw32(kernel32.dll)
    mingw32(libgcc_s_sjlj-1.dll)
    mingw32(libwinpthread-1.dll)
    mingw32(msvcrt.dll)
    mingw32(zlib1.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config



Provides
--------
mingw32-cfitsio-tools:
    mingw32-cfitsio-tools

mingw64-cfitsio:
    mingw64(libcfitsio-3.dll)
    mingw64-cfitsio

mingw64-cfitsio-tools:
    mingw64-cfitsio-tools

mingw32-cfitsio:
    mingw32(libcfitsio-3.dll)
    mingw32-cfitsio



Source checksums
----------------
ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/cfitsio3410.tar.gz :
  CHECKSUM(SHA256) this package     : a556ac7ea1965545dcb4d41cfef8e4915eeb8c0faa1b52f7ff70870f8bb5734c
  CHECKSUM(SHA256) upstream package : a556ac7ea1965545dcb4d41cfef8e4915eeb8c0faa1b52f7ff70870f8bb5734c


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1238374
Buildroot used: fedora-26-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 11 Vít Ondruch 2017-09-04 08:42:41 UTC
(In reply to Sandro Mani from comment #6)

Hmm, you are asking on the license of these files, but mainly, they should be preferably regenerated using Bison, shouldn't they?

https://fedoraproject.org/wiki/Packaging:Guidelines#Use_of_pregenerated_code

Comment 12 Gwyn Ciesla 2017-09-04 18:15:26 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-cfitsio


Note You need to log in before you can comment on or make changes to this bug.